<?php
session_start();
  
  require 'script_php/ConsultarChaveSoftcom.php';
  require_once('script_php/conexaoSQL.php');
  require_once 'script_php/BuscarCaminhoXml.php';
  //$diretorioInicial = 'xml/arquivos/xml'; // Substitua pelo caminho do diretório raiz

  $loja = $_SESSION["loja"];
  
  switch($loja)
  {
    case 'loja02':
      $diretorioInicial = 'xml/arquivos/xml/12967684000184/2023/';
      break;
    case 'loja03':
      $diretorioInicial = 'xml/arquivos/xml/20861429000180/2023/';
      break;
    case 'loja04':
      $diretorioInicial = 'xml/arquivos/xml/08049813000269/2023/';
      break; 
    case 'loja05':
      $diretorioInicial = 'xml/arquivos/xml/42013233000179/2023';
      break;
    case 'matriz':
      $diretorioInicial = 'xml/arquivos/xml/08049813000188/2023';
      break;

  }

  ?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

	<title></title>
</head>
<body>

<?php include_once 'header.php'; ?>

  <!--mensagens na tela-->
  <?php
if(isset($_SESSION['msg'])){
echo $_SESSION['msg'];
unset($_SESSION['msg']);

}
?>
<h4>Não importados no Softcom</h4>

<p></p>
	<table class="table">
  <thead>
    <tr class="table-primary">

      <th scope="col" title="Dias pendente">Dias</th>
      <th scope="col" title="Data de recebimento">Recebido</th>
      <th scope="col" title="Fornecedor">Fornecedor </th>
      <th scope="col" title="Observação">OBS </th>
      <th scope="col" title="Numero pedido no softcom"> Pedido </th>
      <th>CFOP</th>
      <th>NFE</th>
      <th>Chave</th>
      <th>VALOR</th>
      <th>Boleto</th>
      <?php if (($tipousuario == 'fiscal' || $tipousuario == 'admsistema')){ ?>
      <th scope="col" title="Informar que deu entrada no sistema Softcom">Iniciar </th>
      <?php } ?>
      <?php if (($tipousuario == 'recebimento' || $tipousuario == 'admsistema' || $tipousuario == 'fiscal')){ ?>
      <th>Desfazer</th>
      <?php } ?>
      <th>Softcom</th>
    </tr>
  </thead>
  <tbody>
<?php       
$result = "SELECT * FROM notas WHERE status = 'Pendente'  and loja = '$loja' order by id ";

  $resultado = mysqli_query($conexao, $result);

    while($linha = mysqli_fetch_array($resultado)){
    
      $chave = $linha['chave'];

      $cfop = $linha['cfop'];

      $caminho = "$chave".'.xml';

//BUSCAR O VALOR DA NOTA NO XML
$nomeArquivoProcurado = $caminho; // Substitua pelo nome do arquivo desejado
$caminhoEncontrado = buscarArquivo($diretorioInicial, $nomeArquivoProcurado);

if($caminhoEncontrado <> False){
$xml = simplexml_load_file($caminhoEncontrado);
if ($xml) {
    $valorTotal = 0.0;
    
    foreach ($xml->NFe->infNFe->det as $det) {
        //$valorTotass += (float) $det->prod->vProd;
        $valorTotal = (float) $xml->NFe->infNFe->total->ICMSTot->vNF;
    }
    
    $precoXml = $valorTotal;
    
    //SE CFOP NAO FOR DE BONIFICACAO SOMAR AO VALOR TOTAL DAS NOTAS
    if($cfop <> '2910' AND $cfop <> '5910') { @$PrecoTotalXml = $PrecoTotalXml + $precoXml;}

}else{
  $precoXml = 0.00;
}

}else{
  $precoXml = 0.00;
}  
      $data_entrada = $linha['data_cadastro'];
      $hoje = date('d-m-Y');

      //CRIAR FUNCAO
      $data1 = $data_entrada;
      $data2 = $hoje;

      // transforma a data do formato BR para o formato americano, ANO-MES-DIA
      $data1 = implode('-', array_reverse(explode('/', $data1)));
      $data2 = implode('-', array_reverse(explode('/', $data2)));

      // converte as datas para o formato timestamp
      $d1 = strtotime($data1); 
      $d2 = strtotime($data2);

      //verificar se a chave consta no softcom
      $chave_soft = verificarCadastro_softcom ($chave);

      // verifica a diferença em segundos entre as duas datas e divide pelo número de segundos que um dia possui
      $dataFinal = ($d2 - $d1) /86400;

      // caso a data 2 seja menor que a data 1, multiplica o resultado por -1
      if($dataFinal < 0)
        $dataFinal *= -1;
?>

<?php if($chave_soft || $linha['naoentrar'] == 'sim') { ?>

<tr style="color:red !important;">

<?php } else{ ?>

<tr>

<?php } ?>

      <td> <?= $dataFinal;?> </td> 
      <td><?= date("d/m/Y", strtotime($linha['data_cadastro'])); ?> </td>
      <td> <?= $linha['fornecedor'] ?> </td>
       <td> <?= $linha['observacao'] ?> </td>
      <td> <?= $linha['idpedidos'] ?> </td> 
       <td> <?= $linha['cfop'] ?> </td>
      <td> <?= $linha['numero'] ?> </td>

   
        <!-- verificar se ha pendencia na nota  -->
      <?php if ( $linha['naoentrar'] <> 'sim') { ?>
        <!-- se nao houver pendencia mostrar a chave-->
      <td> <?= $linha['chave'] ?> </td>

      <!-- se houver pendencia nao mostrar a chave -->
      <?php }else { ?>

        
   <?php if (($tipousuario == 'recebimento' || $tipousuario == 'admsistema')){ ?>

    <td>
<a  href="script_php/DesfazerPendinciaNota.php?id=<?= $linha['id']; ?> " onclick="return confirm('Resolvido ?')" >
<button type="button" class="btn btn-outline-danger" title="Finalizar">Resolver Pendencia</button>

</a>

</td>

 <?php }else{ ?>
  <td>
  <button type="button" class="btn btn-outline-danger" title="Finalizar">Aguarde a resolução</button>

 </td>

  <?php }} ?>
          
      <td> <?php echo "R$". number_format($precoXml,2,",",".")  ?></td>
      <td> <?= $linha['boletos'] ?> </td>
      
      <?php if (($tipousuario == 'fiscal' || $tipousuario == 'admsistema')){ ?>

           <!-- verificar se ha pendencia na nota  -->
           <?php if ( $linha['naoentrar'] <> 'sim') { ?>

      <td>

        <a  href="notaDetalhe.php?id=<?= $linha['id']?>&idpedidos=<?= $linha['idpedidos']?>&naoMostrar=1 ">

        <img src="IMG/salvar.png" height="20"> 
      </a>

      </td>
      
      <?php }else{ ?>

       <td> AGUARDE </td>
<?php }} ?>

      <?php if (($tipousuario == 'recebimento' || $tipousuario == 'admsistema' || $tipousuario == 'fiscal')){ ?>
	  
          <td> <?php //se nao existir na softcom o sistema deve permitir que o usuario desfaça o recebimento senao precisa excluir da softcom
					if(!$chave_soft){ ?> 
		  <a  href="script_php/excluir_nota.php?id=<?= $linha['id']?>&idpedidos=<?= $linha['idpedidos']?> " onclick="return confirm('Excluir?')" > <img src="IMG/excluir.png" height="20" alt=""></a></td>
      <?php
	  }//se nao existe na softcom final 
	  } // verificar se usuario pode desfazer?>


    <?php if($chave_soft) { ?>

      <td align="center"> <img src="IMG/sim.png" height="15"></td>

<?php }else{ ?>

      <td align="center"> <img src="IMG/nao.png" height="15"></td>

<?php } ?>

    </tr> 
    
<?php } ?>

  </tbody>
</table>

<?php
if (isset($PrecoTotalXml)){
 echo "VALOR TOTAL NOTAS [ R$ ". number_format($PrecoTotalXml,2,",",".") . " ] ";
}
 ?>
<p></p>

<?php include_once 'footer.php' ?>